#include "usage_cmd.hpp"

#include "utils/error.hpp"

namespace monitarr {
auto usage_cmd() -> int {
  MONITARR_USES_FUNCTION_NAME();

  utils::error::handle_info(
      function_name,
      "\n\nusage:\n"
      "  monitarr -b -i <index> -id <record id>\n"
      "    blocklist and search record id at configuration index\n"
      "  monitarr -c\n"
      "    display configuration\n"
      "  monitarr -l -i <index>\n"
      "    display server queue at configuration index\n"
      "  monitarr -r\n"
      "    run monitarr server\n"
      "  monitarr -s -i <index> -id <record id>\n"
      "    show record id details at configuration index\n");

  return 0;
}
} // namespace monitarr
